Bug 322830 - Kubuntu plasma active top menu pull down crash
Summary: Kubuntu plasma active top menu pull down crash
Status: RESOLVED DOWNSTREAM
Alias: None
Product: kwin
Classification: Unclassified
Component: tabbox (show other bugs)
Version: 4.10.5
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL: https://git.reviewboard.kde.org/r/111...
Keywords:
: 315332 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-07-26 01:03 UTC by Hong Jin Cho
Modified: 2013-08-06 07:37 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.11
thomas.luebking: ReviewRequest+


Attachments
KWIN debug file from Konsole (66.27 KB, application/octet-stream)
2013-07-26 15:30 UTC, Hong Jin Cho
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hong Jin Cho 2013-07-26 01:03:14 UTC
Application: kwinactive_gles (4.10.5)
KDE Platform Version: 4.10.5
Qt Version: 4.8.4
Operating System: Linux 3.8.0-26-generic i686
Distribution: Ubuntu 13.04

-- Information about the crash:
Running kubuntu active 13.04 raring.  Pulling the top menu down causes kwin to crash.

The crash can be reproduced every time.

-- Backtrace:
Application: KWin (kwinactive_gles), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xb111f740 (LWP 2553))]

Thread 2 (Thread 0xaebf7b40 (LWP 2631)):
#0  0xb76e0424 in __kernel_vsyscall ()
#1  0xb21e284b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb74d4d7c in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb66040ad in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#4  0xb66040df in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#5  0xb21ded78 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#6  0xb74c73de in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 1 (Thread 0xb111f740 (LWP 2553)):
[KCrash Handler]
#7  QObject::property (this=0x0, name=name@entry=0xb76ac48b "maskImagePath") at kernel/qobject.cpp:3733
#8  0xb76901c6 in KWin::TabBox::DeclarativeView::resizeEvent (this=0x9cb7a50, event=0xbff66104) at ../../../kwin/tabbox/declarative.cpp:203
#9  0xb54b03ce in QWidget::event (this=0x9cb7a50, event=0xbff66104) at kernel/qwidget.cpp:8540
#10 0xb58c42f5 in QFrame::event (this=this@entry=0x9cb7a50, e=e@entry=0xbff66104) at widgets/qframe.cpp:557
#11 0xb5957013 in QAbstractScrollArea::viewportEvent (this=0x9cb7a50, e=0xbff66104) at widgets/qabstractscrollarea.cpp:1043
#12 0xb5b1a3dc in QGraphicsView::viewportEvent (this=0x9cb7a50, event=0xbff66104) at graphicsview/qgraphicsview.cpp:2866
#13 0xb59574b6 in viewportEvent (event=0xbff66104, this=<optimized out>) at widgets/qabstractscrollarea_p.h:100
#14 QAbstractScrollAreaFilter::eventFilter (this=0x9a03400, o=0x9d665e8, e=0xbff66104) at widgets/qabstractscrollarea_p.h:116
#15 0xb5f6ba7e in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=this@entry=0x98bb6a0, receiver=receiver@entry=0x9d665e8, event=event@entry=0xbff66104) at kernel/qcoreapplication.cpp:1056
#16 0xb5459c4d in QApplicationPrivate::notify_helper (this=0x98bb6a0, receiver=0x9d665e8, e=0xbff66104) at kernel/qapplication.cpp:4563
#17 0xb545cbfa in QApplication::notify (this=0x98bb6a0, receiver=0x9d665e8, e=0xbff66104) at kernel/qapplication.cpp:4532
#18 0xb7185491 in KApplication::notify (this=this@entry=0xbff66cf8, receiver=receiver@entry=0x9d665e8, event=event@entry=0xbff66104) at ../../kdeui/kernel/kapplication.cpp:311
#19 0xb75f499f in notify (e=0xbff66104, o=0x9d665e8, this=0xbff66cf8) at ../../../kwin/main.cpp:371
#20 KWin::Application::notify (this=0xbff66cf8, o=0x9d665e8, e=0xbff66104) at ../../../kwin/main.cpp:367
#21 0xb5f6b90e in QCoreApplication::notifyInternal (this=0xbff66cf8, receiver=receiver@entry=0x9d665e8, event=event@entry=0xbff66104) at kernel/qcoreapplication.cpp:946
#22 0xb54b1ecf in sendEvent (event=0xbff66104, receiver=0x9d665e8) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#23 QWidgetPrivate::sendPendingMoveAndResizeEvents (this=this@entry=0x9fe8570, recursive=recursive@entry=false, disableUpdates=<optimized out>, disableUpdates@entry=false) at kernel/qwidget.cpp:7445
#24 0xb54b4228 in QWidgetPrivate::show_helper (this=this@entry=0x9fe8570) at kernel/qwidget.cpp:7496
#25 0xb54b4675 in QWidget::setVisible (this=0x9d665e8, visible=true) at kernel/qwidget.cpp:7777
#26 0xb54b4c60 in show (this=0x9d665e8) at ../../include/QtGui/../../src/gui/kernel/qwidget.h:494
#27 QWidgetPrivate::showChildren (this=this@entry=0x9fd04f0, spontaneous=spontaneous@entry=false) at kernel/qwidget.cpp:7865
#28 0xb54b4250 in QWidgetPrivate::show_helper (this=this@entry=0x9fd04f0) at kernel/qwidget.cpp:7502
#29 0xb54b4675 in QWidget::setVisible (this=0x9cb7a50, visible=true) at kernel/qwidget.cpp:7777
#30 0xb7692388 in show (this=0x9cb7a50) at /usr/include/qt4/QtGui/qwidget.h:494
#31 KWin::TabBox::TabBoxHandler::show (this=0x99ba5b0) at ../../../kwin/tabbox/tabboxhandler.cpp:257
#32 0xb7686925 in KWin::TabBox::TabBox::show (this=this@entry=0x99baa28) at ../../../kwin/tabbox/tabbox.cpp:676
#33 0xb768b5a2 in qt_static_metacall (_a=0xbff6640c, _id=5, _o=0x99baa28, _c=<optimized out>) at ./tabbox.moc:139
#34 KWin::TabBox::TabBox::qt_static_metacall (_o=0x99baa28, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0xbff6640c) at ./tabbox.moc:128
#35 0xb5f81b56 in QMetaObject::activate (sender=sender@entry=0x99baa40, m=m@entry=0xb60d64b8 <QTimer::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3539
#36 0xb5fd4ee5 in QTimer::timeout (this=this@entry=0x99baa40) at .moc/release-shared/moc_qtimer.cpp:148
#37 0xb5f8b126 in QTimer::timerEvent (this=0x99baa40, e=0xbff66930) at kernel/qtimer.cpp:280
#38 0xb5f872d4 in QObject::event (this=0x99baa40, e=0xbff66930) at kernel/qobject.cpp:1156
#39 0xb5459c7c in QApplicationPrivate::notify_helper (this=0x98bb6a0, receiver=0x99baa40, e=0xbff66930) at kernel/qapplication.cpp:4567
#40 0xb545cb94 in QApplication::notify (this=0xbff66930, receiver=0x99baa40, e=0xbff66930) at kernel/qapplication.cpp:3949
#41 0xb7185491 in KApplication::notify (this=this@entry=0xbff66cf8, receiver=receiver@entry=0x99baa40, event=event@entry=0xbff66930) at ../../kdeui/kernel/kapplication.cpp:311
#42 0xb75f499f in notify (e=0xbff66930, o=0x99baa40, this=0xbff66cf8) at ../../../kwin/main.cpp:371
#43 KWin::Application::notify (this=0xbff66cf8, o=0x99baa40, e=0xbff66930) at ../../../kwin/main.cpp:367
#44 0xb5f6b90e in QCoreApplication::notifyInternal (this=0xbff66cf8, receiver=0x99baa40, event=event@entry=0xbff66930) at kernel/qcoreapplication.cpp:946
#45 0xb5fa08c0 in sendEvent (event=0xbff66930, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#46 QTimerInfoList::activateTimers (this=0x98bbf44) at kernel/qeventdispatcher_unix.cpp:622
#47 0xb5fa0945 in QEventDispatcherUNIX::activateTimers (this=0x98bbf44, this@entry=0x9876ea8) at kernel/qeventdispatcher_unix.cpp:879
#48 0xb5fa0ab8 in QEventDispatcherUNIX::processEvents (this=this@entry=0x9876ea8, flags=...) at kernel/qeventdispatcher_unix.cpp:941
#49 0xb55115f3 in QEventDispatcherX11::processEvents (this=0x9876ea8, flags=...) at kernel/qeventdispatcher_x11.cpp:152
#50 0xb5f6a3ec in QEventLoop::processEvents (this=this@entry=0xbff66b78, flags=...) at kernel/qeventloop.cpp:149
#51 0xb5f6a6e1 in QEventLoop::exec (this=this@entry=0xbff66b78, flags=...) at kernel/qeventloop.cpp:204
#52 0xb5f703fa in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#53 0xb5457fc4 in QApplication::exec () at kernel/qapplication.cpp:3828
#54 0xb75f4451 in kdemain (argc=3, argv=0xbff66de4) at ../../../kwin/main.cpp:537
#55 0x0804856b in main (argc=3, argv=0xbff66de4) at kwin_gles_dummy.cpp:3

Reported using DrKonqi
Comment 1 Thomas Lübking 2013-07-26 06:32:41 UTC
--> Do you get any debug messages when running kwin from konsole? (ensure 1212/KWin is enabled in "kdebugdialog" - "kdebugdialog --fullmode" allows you more configuration, eg. to print to a specific file)

@Martin
Kind of bug #315332, but this one shows the rootObject() to be 0x0 what suggests there's a show (thus resize) event (on the widget, and why should be not) before statusChanged(QDeclarativeComponent::Status) was fired (component is still loading) or component loading simply failed (hasError)

(While i wonder whether the dropdown thing from plasma active should not be tabbox->embedded())
Comment 2 Martin Flöser 2013-07-26 07:14:10 UTC
I'm tempted to believe that this is a problem in the Kubuntu packages. If it 
would be a general problem the Vivaldi crew would have already complained. 
Neither Marco or Aaron have ever mentioned a crash to me. I know that the Mer 
build has some additional patches for multi-touch in TabBox...
Comment 3 Hong Jin Cho 2013-07-26 13:08:20 UTC
Ran kdebugdialog --fullmode and enabled 1212 to output all to a file.  I saw some events from live KDE sessions so that file output seemed to work.  Killed that KDE session and removed that file and ran kwin from console.  Only thing I got was:
kwin: FATAL ERROR while trying to open display

and debug file was not created.

I ran it from xinit and I got below.  I'll attach the file if there is one.  I don't seem to be able to switch between the windows without WM loaded.

>kwin &
[1] 2314
> QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
kwin(2314)/kdecore (kdelibs) KToolInvocation::klauncher: klauncher not running... launching kdeinit
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
kbuildsycoca4 running...
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
Module  "resources" is registered 
Module  "activities" is registered 
Module  "features" is registered 
This is the current thread id for Activities 2974808896 QThread(0x8d86ca0) 
These are the disabled plugins: ("activitymanager_plugin_dummy", "activitymanager_plugin_nepomuk") 
Initializing plugin: "activitymanager_plugin_globalshortcuts" 
This is the current thread id for Activities 3023714112 QThread(0x8c39310) 
Initializing plugin: "activitymanager_plugin_slc" 
Initializing plugin: "activitymanager_plugin_virtualdesktopswitch" 
VirtualDesktopSwitch::init 
Module  "org.kde.ActivityManager.VirtualDesktopSwitch" is registered 
Initializing plugin: "activitymanager_plugin_activityranking" 
running in thread ActivityRanking 
Initializing plugin: "activitymanager_plugin_sqlite" 
Module  "org.kde.ActivityManager.Resources.Scoring" is registered 
QDBusConnection: name 'org.kde.kglobalaccel' had owner '' but we thought it was ':1.9'
genie@touchy:~$ QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
libGL error: failed to load driver: i915
libGL error: Try again with LIBGL_DEBUG=verbose for more details.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.


and in the debug file.
kwin(5832) KWin::Extensions::init: Extensions: shape: 0x "11"  composite: 0x "4"  render: 0x "b"  fixes: 0x "60"  non_native_pixmaps:  false
kwin(5832) KDecorationPlugins::canLoad: kwin : path  "/usr/lib/kde4/kwin3_oxygen.so"  for  "kwin3_oxygen"
kwin(5832) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(5832) KWin::Workspace::updateClientArea: Done.
kwin(5832) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 4294967295
kwin(5832) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 4194326 ;WMCLASS: "xterm" : "xterm" ;Caption: "genie@touchy: ~" ' : 4294967295
kwin(5832) KWin::Workspace::allowClientActivation: Activation: No client active, allowing
kwin(5832) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(5832) KWin::Workspace::updateClientArea: Done.
kwin(5832) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(5832) KWin::Workspace::updateClientArea: Done.
kwin(5832) KWin::Compositor::slotCompositingOptionsInitialized: Initializing XRender compositing
kwin(5832) KWin::currentRefreshRate: Vertical Refresh rate  60 Hz
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_slidingpopups"
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_blur"
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_blur"  is not supported
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_desktopgrid"
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_fade"
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_slide"
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_presentwindows"
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_dashboard"
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_login"
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_startupfeedback"
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_startupfeedback"  is not supported
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_outline"
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_maximize"
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_taskbarthumbnail"
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_logout"
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_screenshot"
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_translucency"
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_highlightwindow"
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_zoom"
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_dialogparent"
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_minimizeanimation"
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_coverswitch"
kwin(5832) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_coverswitch"  is not supported
kwin(5832) KWin::EffectsHandlerImpl::unloadEffect: EffectsHandler::unloadEffect : Unloading Effect :  "kwin4_effect_zoom"
kwin(5832) KWin::EffectsHandlerImpl::unloadEffect: EffectsHandler::unloadEffect : Unloading Effect :  "kwin4_effect_login"
kwin(5832) KWin::EffectsHandlerImpl::unloadEffect: EffectsHandler::unloadEffect : Unloading Effect :  "kwin4_effect_slidingpopups"
kwin(5832) KWin::EffectsHandlerImpl::unloadEffect: EffectsHandler::unloadEffect : Unloading Effect :  "kwin4_effect_minimizeanimation"
kwin(5832) KWin::EffectsHandlerImpl::unloadEffect: EffectsHandler::unloadEffect : Unloading Effect :  "kwin4_effect_translucency"
kwin(5832) KWin::EffectsHandlerImpl::unloadEffect: EffectsHandler::unloadEffect : Unloading Effect :  "kwin4_effect_screenshot"
kwin(5832) KWin::EffectsHandlerImpl::unloadEffect: EffectsHandler::unloadEffect : Unloading Effect :  "kwin4_effect_slide"
kwin(5832) KWin::EffectsHandlerImpl::unloadEffect: EffectsHandler::unloadEffect : Unloading Effect :  "kwin4_effect_desktopgrid"
kwin(5832) KWin::EffectsHandlerImpl::unloadEffect: EffectsHandler::unloadEffect : Unloading Effect :  "kwin4_effect_maximize"
kwin(5832) KWin::EffectsHandlerImpl::unloadEffect: EffectsHandler::unloadEffect : Unloading Effect :  "kwin4_effect_fade"
kwin(5832) KWin::EffectsHandlerImpl::unloadEffect: EffectsHandler::unloadEffect : Unloading Effect :  "kwin4_effect_dialogparent"
kwin(5832) KWin::EffectsHandlerImpl::unloadEffect: EffectsHandler::unloadEffect : Unloading Effect :  "kwin4_effect_highlightwindow"
kwin(5832) KWin::EffectsHandlerImpl::unloadEffect: EffectsHandler::unloadEffect : Unloading Effect :  "kwin4_effect_taskbarthumbnail"
kwin(5832) KWin::EffectsHandlerImpl::unloadEffect: EffectsHandler::unloadEffect : Unloading Effect :  "kwin4_effect_presentwindows"
kwin(5832) KWin::EffectsHandlerImpl::unloadEffect: EffectsHandler::unloadEffect : Unloading Effect :  "kwin4_effect_logout"
kwin(5832) KWin::EffectsHandlerImpl::unloadEffect: EffectsHandler::unloadEffect : Unloading Effect :  "kwin4_effect_dashboard"
kwin(5832) KWin::EffectsHandlerImpl::unloadEffect: EffectsHandler::unloadEffect : Unloading Effect :  "kwin4_effect_outline"
kwinactive(1411)/kwin KWin::Extensions::init: Extensions: shape: 0x "11"  composite: 0x "4"  render: 0x "b"  fixes: 0x "60"  non_native_pixmaps:  false
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: Done.
kwinactive(1411)/kwin KWin::Workspace::findWindowRules: Rule found: [ "No fullscreen" : "" ] : 'ID: 33554458 ;WMCLASS: "plasma-device" : "plasma-device" ;Caption: "Home Screen" '
kwinactive(1411)/kwin KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 4294967295
kwinactive(1411)/kwin KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 33554458 ;WMCLASS: "plasma-device" : "plasma-device" ;Caption: "Home Screen" ' : 4294967295
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: Done.
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: Done.
kwinactive(1411)/kwin KWin::Compositor::setup: Compositing is suspended
kwinactive(1411)/kwin KWin::Scripting::queryScriptsToLoad: Could not find script file for  "synchronizeskipswitcher"
kwinactive(1411)/kwin KWin::Workspace::findWindowRules: Rule found: [ "No fullscreen" : "" ] : 'ID: 33554470 ;WMCLASS: "plasma-device" : "plasma-device" ;Caption: "plasma-device" '
kwinactive(1411)/kwin KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 4294967295
kwinactive(1411)/kwin KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 33554470 ;WMCLASS: "plasma-device" : "plasma-device" ;Caption: "plasma-device" ' : 4294967295
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: Done.
kwinactive(1411)/kwin KWin::Client::configureRequest: KWin::Client(0x8b056e0) true false false
kwinactive(1411)/kwin KWin::Client::configureRequest: PERMITTED 'ID: 33554470 ;WMCLASS: "plasma-device" : "plasma-device" ;Caption: "plasma-device" ' true
kwinactive(1411)/kwin KWin::Client::configureRequest: KWin::Client(0x8b056e0) true false false
kwinactive(1411)/kwin KWin::Client::configureRequest: PERMITTED 'ID: 33554470 ;WMCLASS: "plasma-device" : "plasma-device" ;Caption: "plasma-device" ' true
kwinactive(1411)/kwin KWin::Client::configureRequest: KWin::Client(0x8b056e0) true false false
kwinactive(1411)/kwin KWin::Client::configureRequest: PERMITTED 'ID: 33554470 ;WMCLASS: "plasma-device" : "plasma-device" ;Caption: "plasma-device" ' true
kwinactive(1411)/kwin KWin::Client::configureRequest: KWin::Client(0x8b056e0) true false false
kwinactive(1411)/kwin KWin::Client::configureRequest: PERMITTED 'ID: 33554470 ;WMCLASS: "plasma-device" : "plasma-device" ;Caption: "plasma-device" ' true
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: Done.
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: Done.
kwinactive(1411)/kwin KWin::Client::configureRequest: KWin::Client(0x8bd0110) true false false
kwinactive(1411)/kwin KWin::Client::configureRequest: PERMITTED 'ID: 33554458 ;WMCLASS: "plasma-device" : "plasma-device" ;Caption: "Home Screen" ' true
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: Done.
kwinactive(1411)/kwin KWin::Client::configureRequest: KWin::Client(0x8b056e0) true false false
kwinactive(1411)/kwin KWin::Client::configureRequest: PERMITTED 'ID: 33554470 ;WMCLASS: "plasma-device" : "plasma-device" ;Caption: "plasma-device" ' true
kwinactive(1411)/kwin KWin::Workspace::findWindowRules: Rule found: [ "No fullscreen" : "" ] : 'ID: 33554914 ;WMCLASS: "plasma-device" : "plasma-device" ;Caption: "plasma-device" '
kwinactive(1411)/kwin KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 4294967295
kwinactive(1411)/kwin KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 33554914 ;WMCLASS: "plasma-device" : "plasma-device" ;Caption: "plasma-device" ' : 61576
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: Done.
kwinactive(1411)/kwin KWin::Client::configureRequest: KWin::Client(0x8b80cc8) true false false
kwinactive(1411)/kwin KWin::Client::configureRequest: PERMITTED 'ID: 33554914 ;WMCLASS: "plasma-device" : "plasma-device" ;Caption: "plasma-device" ' true
kwinactive(1411)/kwin KWin::Client::configureRequest: KWin::Client(0x8b80cc8) true false false
kwinactive(1411)/kwin KWin::Client::configureRequest: PERMITTED 'ID: 33554914 ;WMCLASS: "plasma-device" : "plasma-device" ;Caption: "plasma-device" ' true
kwinactive(1411)/kwin KWin::Workspace::findWindowRules: Rule found: [ "No fullscreen" : "" ] : 'ID: 18874386 ;WMCLASS: "kwalletd" : "kwalletd" ;Caption: "KDE Wallet Service" '
kwinactive(1411)/kwin KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 61791
kwinactive(1411)/kwin KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 18874386 ;WMCLASS: "kwalletd" : "kwalletd" ;Caption: "KDE Wallet Service" ' : 61791
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: Done.
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: Done.
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwinactive(1411)/kwin KWin::Workspace::updateClientArea: Done.
kscreenlocker_greet(1638)/kwin ScreenLocker::Greeter::loadGreetPlugin: GreeterPlugin  "classic"  ( classic ,  Username + password (classic) ) loaded
kwin(2149) KWin::Extensions::init: Extensions: shape: 0x "11"  composite: 0x "4"  render: 0x "b"  fixes: 0x "60"  non_native_pixmaps:  false
kwin(2149) KDecorationPlugins::canLoad: kwin : path  "/usr/lib/kde4/kwin3_oxygen.so"  for  "kwin3_oxygen"
kwin(2149) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(2149) KWin::Workspace::updateClientArea: Done.
kwin(2149) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 4294967295
kwin(2149) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 4194326 ;WMCLASS: "xterm" : "xterm" ;Caption: "genie@touchy: ~" ' : 4294967295
kwin(2149) KWin::Workspace::allowClientActivation: Activation: No client active, allowing
kwin(2149) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(2149) KWin::Workspace::updateClientArea: Done.
kwin(2149) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(2149) KWin::Workspace::updateClientArea: Done.
kwin(2149) KWin::Compositor::slotCompositingOptionsInitialized: Initializing XRender compositing
kwin(2149) KWin::currentRefreshRate: Vertical Refresh rate  60 Hz
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_slidingpopups"
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_blur"
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_blur"  is not supported
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_desktopgrid"
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_fade"
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_slide"
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_presentwindows"
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_dashboard"
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_login"
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_startupfeedback"
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_startupfeedback"  is not supported
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_outline"
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_maximize"
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_taskbarthumbnail"
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_logout"
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_screenshot"
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_translucency"
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_highlightwindow"
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_zoom"
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_dialogparent"
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_minimizeanimation"
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_coverswitch"
kwin(2149) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_coverswitch"  is not supported
kwin(2314) KWin::Extensions::init: Extensions: shape: 0x "11"  composite: 0x "4"  render: 0x "b"  fixes: 0x "60"  non_native_pixmaps:  false
kwin(2314) KDecorationPlugins::canLoad: kwin : path  "/usr/lib/kde4/kwin3_oxygen.so"  for  "kwin3_oxygen"
kwin(2314) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(2314) KWin::Workspace::updateClientArea: Done.
kwin(2314) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 4294967295
kwin(2314) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 4194326 ;WMCLASS: "xterm" : "xterm" ;Caption: "genie@touchy: ~" ' : 4294967295
kwin(2314) KWin::Workspace::allowClientActivation: Activation: No client active, allowing
kwin(2314) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(2314) KWin::Workspace::updateClientArea: Done.
kwin(2314) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 325367
kwin(2314) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 10485785 ;WMCLASS: "konsole" : "konsole" ;Caption: "genie : bash – Konsole" ' : 325367
kwin(2314) KWin::Workspace::allowClientActivation: Activation: No client active, allowing
kwin(2314) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(2314) KWin::Workspace::updateClientArea: Done.
kwin(2314) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(2314) KWin::Workspace::updateClientArea: Done.
kwin(2314) KWin::Compositor::slotCompositingOptionsInitialized: Initializing XRender compositing
kwin(2314) KWin::currentRefreshRate: Vertical Refresh rate  60 Hz
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_slidingpopups"
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_blur"
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_blur"  is not supported
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_desktopgrid"
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_fade"
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_slide"
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_presentwindows"
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_dashboard"
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_login"
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_startupfeedback"
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_startupfeedback"  is not supported
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_outline"
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_maximize"
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_taskbarthumbnail"
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_logout"
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_screenshot"
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_translucency"
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_highlightwindow"
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_zoom"
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_dialogparent"
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_minimizeanimation"
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: Trying to load  "kwin4_effect_coverswitch"
kwin(2314) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect  "kwin4_effect_coverswitch"  is not supported
kwin(2314) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 340883
kwin(2314) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 10485816 ;WMCLASS: "konsole" : "konsole" ;Caption: "Rename Tab – Konsole" ' : 340883
kwin(2314) KWin::Workspace::allowClientActivation: Activation: Belongs to active application
kwin(2314) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(2314) KWin::Workspace::updateClientArea: Done.
kwin(2314) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(2314) KWin::Workspace::updateClientArea: Done.
kwin(2314) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 4294967295
kwin(2314) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 23068710 ;WMCLASS: "chromium-browser" : "chromium-browser" ;Caption: "New Tab - Chromium" ' : 384620
kwin(2314) KWin::Workspace::allowClientActivation: Activation, compared: 'ID: 23068710 ;WMCLASS: "chromium-browser" : "chromium-browser" ;Caption: "New Tab - Chromium" ' : 384620 : 384117 : true
kwin(2314) KWin::Workspace::updateClientArea: screens:  1 desktops:  1
kwin(2314) KWin::Workspace::updateClientArea: Done.
kwin(2314) KWin::Toplevel::createWindowPixmap: Creating window pixmap failed:  'ID: 23070673 ' (deleted)
kwin(2314) KWin::Toplevel::createWindowPixmap: Creating window pixmap failed:  'ID: 23070673 ' (deleted)
kwin(2314) KWin::Toplevel::createWindowPixmap: Creating window pixmap failed:  'ID: 23070673 ' (deleted)
kwin(2314) KWin::Toplevel::createWindowPixmap: Creating window pixmap failed:  'ID: 23070673 ' (deleted)
kwin(2314) KWin::Toplevel::createWindowPixmap: Creating window pixmap failed:  'ID: 23070673 ' (deleted)
kwin(2314) KWin::Toplevel::createWindowPixmap: Creating window pixmap failed:  'ID: 23070673 ' (deleted)
kwin(2314) KWin::Toplevel::createWindowPixmap: Creating window pixmap failed:  'ID: 23070673 ' (deleted)
kwin(2314) KWin::Toplevel::createWindowPixmap: Creating window pixmap failed:  'ID: 23070673 ' (deleted)
kwin(2314) KWin::Toplevel::createWindowPixmap: Creating window pixmap failed:  'ID: 23070673 ' (deleted)

One thing I did after filing this bug report was installing kde-full.  I forget which bug report it was but someone said some dependancy might be missing.  After that pulling the top bar down still crashes the kwin but right after that it shows correct behavior (I was able to pull down and see the menu) just once.  After that through out whole KDE session it doesn't work.

Also another interesting behavior after that kde-full install was when I am in KDE (running from startkde) or plasma-active, it locks the screen prompting me to enter the password every 5 second. =P
Comment 4 Thomas Lübking 2013-07-26 14:01:13 UTC
Running kwin from VT1 requires some environment to be exported.
As long as there's output on konsole (eg. the KDE one), redirecting to file did not work.
There should not be any requirement to run kwin from any particular place - you can just login as usualy and kdebug writes into the configured output file (eg. "/tmp/kwin.dbg" or so)
Comment 5 Hong Jin Cho 2013-07-26 15:30:23 UTC
Created attachment 81360 [details]
KWIN debug file from Konsole

Sorry.  When I saw konsole, I thought you meant from linux console. =)  I ran kwin from the konsole and got this debug file.  Does this have any info you were looking for?  I think this may include information from initial KDE startup.
Comment 6 Thomas Lübking 2013-07-26 17:34:03 UTC
*** Bug 315332 has been marked as a duplicate of this bug. ***
Comment 7 Thomas Lübking 2013-07-26 17:34:18 UTC
> kwinactive(2658)/kwin KWin::TabBox::DeclarativeView::updateQmlSource: Could not find QML file for window switcher

This is caused by failing
setSource(QUrl(KStandardDirs::locate("data", QLatin1String(KWIN_NAME) + QLatin1String("/tabbox/tabbox.qml"))));

If i move away i get exactly the same crashes, otherwise just no tabbox window.

The problem on your installation is probably that you've /usr/share/apps/kwin/tabbox, but not /usr/share/apps/kwinactive/tabbox - symlinking missing paths will probably resolve the crash.

Please confirm or deny this assumption.

-> It's an installation bug - a resource is missing.
KWin / Active would never work w/o those resources, yet should rather not crash either, so we should maybe check whether the declarative->status() == Ready and yell a warning if not.
Comment 8 Hong Jin Cho 2013-07-26 21:29:43 UTC
kwinactive directory is missing in Kubuntu 13.04 raring CD package.  Executing below allows pull down to work properly.
ln -s /usr/share/kde4/apps/kwin /usr/share/kde4/apps/kwinactive

Thanks!!!
Comment 9 Martin Flöser 2013-07-29 04:51:00 UTC
> kwinactive directory is missing in Kubuntu 13.04 raring CD package. 
> Executing below allows pull down to work properly.
> ln -s /usr/share/kde4/apps/kwin /usr/share/kde4/apps/kwinactive
Could you please report a bug on launchpad about it and put down the url here?
Comment 11 Thomas Lübking 2013-08-06 07:12:33 UTC
Git commit f0ffc065b4c0efd0f284f8fdea048705299f9fa7 by Thomas Lübking.
Committed on 26/07/2013 at 17:58.
Pushed by luebking into branch 'KDE/4.11'.

protect kwin against broken tabbox installation

This happens because some distros ship broken installations
of KWin and KWinActive, but could also appear to QML hacking users
FIXED-IN: 4.11
REVIEW: 111732

M  +2    -0    kwin/tabbox/declarative.cpp
M  +15   -4    kwin/tabbox/tabboxhandler.cpp

http://commits.kde.org/kde-workspace/f0ffc065b4c0efd0f284f8fdea048705299f9fa7
Comment 12 Thomas Lübking 2013-08-06 07:37:11 UTC
In particular still downstream bug, but now the general condition is catched, thus kwin will no longer crash - this does not mean broken installations would magically start to work.